Interface

Internal flags that control ArcGIS REST JS request behavior.

Properties

PropertyTypeNotes
ignoreMaxUrlLengthboolean

Disables automatic GET -> POST conversion based solely on URL length (2000+ chars).

injectRequestHeadersboolean

Reserved for response header injection behavior.

suppressWarningsboolean

Suppresses ArcGIS REST JS request warnings for this call, including deprecation and format-related warnings emitted during request processing.

useAuthorizationHeaderboolean

Use the Authorization header to send the token in request headers. Using this flag will move the token out of the URL query parameters in GET requests and out of the request body in POST requests.

useXEsriAuthorizationHeaderboolean

Use the X-Esri-Authorization header to send the token in request headers. Using this flag will move the token out of the URL query parameters in GET requests and out of the request body in POST requests.

ignoreMaxUrlLength

optional
Interface Property
ignoreMaxUrlLength: boolean

Disables automatic GET -> POST conversion based solely on URL length (2000+ chars).

injectRequestHeaders

optional
Interface Property
injectRequestHeaders: boolean

Reserved for response header injection behavior.

Note: this flag is currently defined for API compatibility/documentation, but is not actively applied in the current request pipeline.

suppressWarnings

optional
Interface Property
suppressWarnings: boolean

Suppresses ArcGIS REST JS request warnings for this call, including deprecation and format-related warnings emitted during request processing.

useAuthorizationHeader

optional
Interface Property
useAuthorizationHeader: boolean

Use the Authorization header to send the token in request headers. Using this flag will move the token out of the URL query parameters in GET requests and out of the request body in POST requests.

useXEsriAuthorizationHeader

optional
Interface Property
useXEsriAuthorizationHeader: boolean

Use the X-Esri-Authorization header to send the token in request headers. Using this flag will move the token out of the URL query parameters in GET requests and out of the request body in POST requests.

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.